> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# sale_new

> List of sales. Searches sale + company names + person names. Skips completed sales SkipCompletedSales userpref is set. Skips sales without quotes if AdditionalInfo contains "hasQuoteOnline=1". Skips sales without stakeholders if AdditionalInfo contains "stakeholderOnly=1". Filter sales according to currency if AdditionalInfo contains "hasCurrency=(currency-id)"

## "sale\_new" MDO List

List of sales.
Searches sale + company names + person names.

Skips completed sales SkipCompletedSales userpref is set.

Skips sales without quotes if AdditionalInfo contains "hasQuoteOnline=1".

Skips sales without stakeholders if AdditionalInfo contains "stakeholderOnly=1".

Filter sales according to currency if AdditionalInfo contains "hasCurrency=(currency-id)"

Returns sale items only: Id = sale-id, Name = Sale name (company name,dept or project name), Type = "Sale",
ExtraInfo = sale heading name.

Completed/Done sales are marked with stylehint = "deleted\_item" (but item.deleted = false)

Not complete Lost/Stalled/Sold sales are marked with corresponding style hints.

Implemented by the \<see cref="T:SuperOffice.CRM.Lists.SaleListProvider">SaleListProvider\</see> class.
The name of the MDO list is 'sale\_new'.

## Additional Attributes

| Description                         | Name            | Example Value |
| ----------------------------------- | --------------- | ------------- |
| Only Sales with stakeholders        | stakeholderOnly | 1             |
| Only Sales with quotes              | hasQuoteOnly    | 1             |
| Only Sales with currency id = value | hasCurrency     | 234           |

Separator: ;

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/sale_new
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("sale_new", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                       | StyleHint | ExtraInfo  |
| -- | ------------------------------------------ | --------- | ---------- |
| 1  | SalgAAAA (Arne'S Kebab, AAvdeling)         |           | SalgAAAA   |
| 2  | SalgFAAF (Arne'S Kebab, AAvdeling)         |           | SalgFAAF   |
| 3  | SalgLAAL (Arne'S Kebab, AAvdeling)         | lost      | SalgLAAL   |
| 5  | SalgWAAW (Yngve'S Fisk & Vilt, YAvdeling)  | sold      | SalgWAAW   |
| 6  | SalgØAAØ (Yngve'S Fisk & Vilt, YAvdeling)  |           | SalgØAAØ   |
| 7  | Salg1AA1 (0-Feil Software AS, 0Avdeling)   | lost      | Salg1AA1   |
| 8  | Salg6AA6 (0-Feil Software AS, 0Avdeling)   |           | Salg6AA6   |
| 10 | Salg*AA* (0-Feil Software AS, 0Avdeling)   | lost      | Salg*AA*   |
| 11 | SalgBBBB (Arne'S Kebab, AAvdeling)         |           | SalgBBBB   |
| 12 | SalgGBBG (Arne'S Kebab, AAvdeling)         | sold      | SalgGBBG   |
| 13 | SalgMBBM (Arne'S Kebab, AAvdeling)         |           | SalgMBBM   |
| 14 | SalgRBBR (Yngve'S Fisk & Vilt, YAvdeling)  |           | SalgRBBR   |
| 15 | SalgXBBX (Yngve'S Fisk & Vilt, YAvdeling)  | lost      | SalgXBBX   |
| 16 | SalgÅBBÅ (Yngve'S Fisk & Vilt, YAvdeling)  | sold      | SalgÅBBÅ   |
| 18 | Salg7BB7 (0-Feil Software AS, 0Avdeling)   |           | Salg7BB7   |
| 19 | Salg\&BB& (0-Feil Software AS, 0Avdeling)  | lost      | Salg\&BB&  |
| 20 | Salg\<BB\< (0-Feil Software AS, 0Avdeling) |           | Salg\<BB\< |
| 21 | SalgCDDC (Arne'S Kebab, AAvdeling)         | sold      | SalgCDDC   |
| 23 | SalgNDDN (Arne'S Kebab, AAvdeling)         |           | SalgNDDN   |
| 24 | SalgSDDS (Yngve'S Fisk & Vilt, YAvdeling)  | sold      | SalgSDDS   |
| 25 | SalgYDDY (Yngve'S Fisk & Vilt, YAvdeling)  |           | SalgYDDY   |

## Related MDO Lists

* "sale\_newheadings"
* "sale\_newheadingswithallitem"
* "sale\_newheadingswithallitemwithnoselection"
* "sale\_newheadingswithnoselection"
* "sale\_newwithallitem"
* "sale\_newwithallitemwithnoselection"
* "sale\_newwithnoselection"


## Related topics

- [Create a SuperOffice CRM new trigger](/integrations/zapier/howto/triggers/new.md)
- [Create a new sales guide](/en/sale/admin/create-sales-guide.md)
- [Example - sales guide](/en/sale/learn/tutorial.md)
- [Sales](/en/sale/dev/index.md)
- [Register a sale](/en/sale/learn/create.md)
- [Create sale](/en/mobile/sale/create.md)
